profiles
Profile State Set
POST
/
profiles
/
{profile_id}
/
state
Profile State Set
curl --request POST \
--url https://api.example.com/profiles/{profile_id}/state \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cookies": [
{
"name": "<string>",
"value": "<string>",
"domain": "<string>",
"path": "<string>",
"httpOnly": true,
"expirationDate": 123,
"hostOnly": true,
"secure": true,
"session": true,
"storeId": "<string>",
"expires": 123,
"partitionKey": "<string>"
}
],
"local_storage": {},
"session_storage": {},
"domains": [
"<string>"
],
"mode": "replace",
"storage_scope": "domains"
}
'import requests
url = "https://api.example.com/profiles/{profile_id}/state"
payload = {
"cookies": [
{
"name": "<string>",
"value": "<string>",
"domain": "<string>",
"path": "<string>",
"httpOnly": True,
"expirationDate": 123,
"hostOnly": True,
"secure": True,
"session": True,
"storeId": "<string>",
"expires": 123,
"partitionKey": "<string>"
}
],
"local_storage": {},
"session_storage": {},
"domains": ["<string>"],
"mode": "replace",
"storage_scope": "domains"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cookies: [
{
name: '<string>',
value: '<string>',
domain: '<string>',
path: '<string>',
httpOnly: true,
expirationDate: 123,
hostOnly: true,
secure: true,
session: true,
storeId: '<string>',
expires: 123,
partitionKey: '<string>'
}
],
local_storage: {},
session_storage: {},
domains: ['<string>'],
mode: 'replace',
storage_scope: 'domains'
})
};
fetch('https://api.example.com/profiles/{profile_id}/state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/profiles/{profile_id}/state",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cookies' => [
[
'name' => '<string>',
'value' => '<string>',
'domain' => '<string>',
'path' => '<string>',
'httpOnly' => true,
'expirationDate' => 123,
'hostOnly' => true,
'secure' => true,
'session' => true,
'storeId' => '<string>',
'expires' => 123,
'partitionKey' => '<string>'
]
],
'local_storage' => [
],
'session_storage' => [
],
'domains' => [
'<string>'
],
'mode' => 'replace',
'storage_scope' => 'domains'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/profiles/{profile_id}/state"
payload := strings.NewReader("{\n \"cookies\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"domain\": \"<string>\",\n \"path\": \"<string>\",\n \"httpOnly\": true,\n \"expirationDate\": 123,\n \"hostOnly\": true,\n \"secure\": true,\n \"session\": true,\n \"storeId\": \"<string>\",\n \"expires\": 123,\n \"partitionKey\": \"<string>\"\n }\n ],\n \"local_storage\": {},\n \"session_storage\": {},\n \"domains\": [\n \"<string>\"\n ],\n \"mode\": \"replace\",\n \"storage_scope\": \"domains\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/profiles/{profile_id}/state")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cookies\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"domain\": \"<string>\",\n \"path\": \"<string>\",\n \"httpOnly\": true,\n \"expirationDate\": 123,\n \"hostOnly\": true,\n \"secure\": true,\n \"session\": true,\n \"storeId\": \"<string>\",\n \"expires\": 123,\n \"partitionKey\": \"<string>\"\n }\n ],\n \"local_storage\": {},\n \"session_storage\": {},\n \"domains\": [\n \"<string>\"\n ],\n \"mode\": \"replace\",\n \"storage_scope\": \"domains\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/profiles/{profile_id}/state")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cookies\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"domain\": \"<string>\",\n \"path\": \"<string>\",\n \"httpOnly\": true,\n \"expirationDate\": 123,\n \"hostOnly\": true,\n \"secure\": true,\n \"session\": true,\n \"storeId\": \"<string>\",\n \"expires\": 123,\n \"partitionKey\": \"<string>\"\n }\n ],\n \"local_storage\": {},\n \"session_storage\": {},\n \"domains\": [\n \"<string>\"\n ],\n \"mode\": \"replace\",\n \"storage_scope\": \"domains\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"cookies_count": 123,
"local_storage_origins": 123,
"session_storage_origins": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Maximum array length:
10000Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required array length:
1 - 2000 elementsAvailable options:
replace, append Use origins for partial live-tab snapshots: replace only origins present in each storage map.
Available options:
domains, origins Was this page helpful?
⌘I
Profile State Set
curl --request POST \
--url https://api.example.com/profiles/{profile_id}/state \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cookies": [
{
"name": "<string>",
"value": "<string>",
"domain": "<string>",
"path": "<string>",
"httpOnly": true,
"expirationDate": 123,
"hostOnly": true,
"secure": true,
"session": true,
"storeId": "<string>",
"expires": 123,
"partitionKey": "<string>"
}
],
"local_storage": {},
"session_storage": {},
"domains": [
"<string>"
],
"mode": "replace",
"storage_scope": "domains"
}
'import requests
url = "https://api.example.com/profiles/{profile_id}/state"
payload = {
"cookies": [
{
"name": "<string>",
"value": "<string>",
"domain": "<string>",
"path": "<string>",
"httpOnly": True,
"expirationDate": 123,
"hostOnly": True,
"secure": True,
"session": True,
"storeId": "<string>",
"expires": 123,
"partitionKey": "<string>"
}
],
"local_storage": {},
"session_storage": {},
"domains": ["<string>"],
"mode": "replace",
"storage_scope": "domains"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cookies: [
{
name: '<string>',
value: '<string>',
domain: '<string>',
path: '<string>',
httpOnly: true,
expirationDate: 123,
hostOnly: true,
secure: true,
session: true,
storeId: '<string>',
expires: 123,
partitionKey: '<string>'
}
],
local_storage: {},
session_storage: {},
domains: ['<string>'],
mode: 'replace',
storage_scope: 'domains'
})
};
fetch('https://api.example.com/profiles/{profile_id}/state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/profiles/{profile_id}/state",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'cookies' => [
[
'name' => '<string>',
'value' => '<string>',
'domain' => '<string>',
'path' => '<string>',
'httpOnly' => true,
'expirationDate' => 123,
'hostOnly' => true,
'secure' => true,
'session' => true,
'storeId' => '<string>',
'expires' => 123,
'partitionKey' => '<string>'
]
],
'local_storage' => [
],
'session_storage' => [
],
'domains' => [
'<string>'
],
'mode' => 'replace',
'storage_scope' => 'domains'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/profiles/{profile_id}/state"
payload := strings.NewReader("{\n \"cookies\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"domain\": \"<string>\",\n \"path\": \"<string>\",\n \"httpOnly\": true,\n \"expirationDate\": 123,\n \"hostOnly\": true,\n \"secure\": true,\n \"session\": true,\n \"storeId\": \"<string>\",\n \"expires\": 123,\n \"partitionKey\": \"<string>\"\n }\n ],\n \"local_storage\": {},\n \"session_storage\": {},\n \"domains\": [\n \"<string>\"\n ],\n \"mode\": \"replace\",\n \"storage_scope\": \"domains\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/profiles/{profile_id}/state")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"cookies\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"domain\": \"<string>\",\n \"path\": \"<string>\",\n \"httpOnly\": true,\n \"expirationDate\": 123,\n \"hostOnly\": true,\n \"secure\": true,\n \"session\": true,\n \"storeId\": \"<string>\",\n \"expires\": 123,\n \"partitionKey\": \"<string>\"\n }\n ],\n \"local_storage\": {},\n \"session_storage\": {},\n \"domains\": [\n \"<string>\"\n ],\n \"mode\": \"replace\",\n \"storage_scope\": \"domains\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/profiles/{profile_id}/state")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"cookies\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"domain\": \"<string>\",\n \"path\": \"<string>\",\n \"httpOnly\": true,\n \"expirationDate\": 123,\n \"hostOnly\": true,\n \"secure\": true,\n \"session\": true,\n \"storeId\": \"<string>\",\n \"expires\": 123,\n \"partitionKey\": \"<string>\"\n }\n ],\n \"local_storage\": {},\n \"session_storage\": {},\n \"domains\": [\n \"<string>\"\n ],\n \"mode\": \"replace\",\n \"storage_scope\": \"domains\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"cookies_count": 123,
"local_storage_origins": 123,
"session_storage_origins": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}